| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.WindowNavigation

Portability | unportable
Stability | unstable
Maintainer | Devin Mullins <me@twifkak.com>

Contents

Usage

Description
WindowNavigation is an extension to allow easy navigation of a workspace.
Synopsis

windowNavigation :: LayoutClass l a => l a -> ModifiedLayout WindowNavigation l a
configurableNavigation :: LayoutClass l a => WNConfig -> l a -> ModifiedLayout WindowNavigation l a

data Navigate

= Go Direction2D
| Swap Direction2D
| Move Direction2D
| Apply (Window -> X ()) Direction2D

data Direction2D

= U
| D
| R
| L

data MoveWindowToWindow a = MoveWindowToWindow a a
navigateColor :: String -> WNConfig
navigateBrightness :: Double -> WNConfig
noNavigateBorders :: WNConfig
defaultWNConfig :: WNConfig

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.WindowNavigation

Then edit your `layoutHook` by adding the WindowNavigation layout modifier to some layout:

     myLayout = windowNavigation (Tall 1 (3/100) (1/2))  ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

In keybindings:

        , ((modm,                 xK_Right), sendMessage $ Go R)
        , ((modm,                 xK_Left ), sendMessage $ Go L)
        , ((modm,                 xK_Up   ), sendMessage $ Go U)
        , ((modm,                 xK_Down ), sendMessage $ Go D)
        , ((modm .|. controlMask, xK_Right), sendMessage $ Swap R)
        , ((modm .|. controlMask, xK_Left ), sendMessage $ Swap L)
        , ((modm .|. controlMask, xK_Up   ), sendMessage $ Swap U)
        , ((modm .|. controlMask, xK_Down ), sendMessage $ Swap D)

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

windowNavigation :: LayoutClass l a => l a -> ModifiedLayout WindowNavigation l a | Source

configurableNavigation :: LayoutClass l a => WNConfig -> l a -> ModifiedLayout WindowNavigation l a | Source

data Navigate | Source

Constructors

Go Direction2D |
Swap Direction2D |
Move Direction2D |
Apply (Window -> X ()) Direction2D | Apply action with destination window

Instances

Typeable Navigate
Message Navigate

data Direction2D | Source

Two-dimensional directions:
Constructors

U | Up
D | Down
R | Right
L | Left

Instances

Bounded Direction2D
Enum Direction2D
Eq Direction2D
Ord Direction2D
Read Direction2D
Show Direction2D
Typeable Direction2D

data MoveWindowToWindow a | Source

Constructors

MoveWindowToWindow a a |

Instances

Typeable1 MoveWindowToWindow
Read a => Read (MoveWindowToWindow a)
Show a => Show (MoveWindowToWindow a)
Typeable a => Message (MoveWindowToWindow a)

navigateColor :: String -> WNConfig | Source

navigateBrightness :: Double -> WNConfig | Source

noNavigateBorders :: WNConfig | Source

defaultWNConfig :: WNConfig | Source

Produced by Haddock version 2.4.2